<h3 class="font-medium mb-3">Transmitir en pantalla</h3>
<!-- Row -->
<div class="row">
  <div class="col-lg-12">
      <div class="card w-100">
          <div class="card-body border-top">

            <div *ngIf="cantidad>0; then thenBlock else elseBlock"></div>
            <ng-template #thenBlock>


            <div class="card"   *ngFor="let archivo of listaArchivos">

  <h4 class="textCenter">{{archivo.nombre}}</h4>

  <div  *ngIf="archivo.formato=='image/jpg' ">
    <img src="{{archivo.ruta}}" class="imagenes"/> 
 </div>           
              <div  *ngIf="archivo.formato=='image/jpeg' ">
                 <img src="{{archivo.ruta}}" class="imagenes"/> 
              </div> 
              <div  *ngIf="archivo.formato=='image/png' ">
                <img src="{{archivo.ruta}}" class="imagenes"/> 
             </div> 
              
                            
              <div  *ngIf="archivo.formato=='video/mp4' ">
       
              
                  
    <video width="100%" height="100%" controls>
      <source src="{{archivo.ruta}}" type="video/mp4">
     Your browser does not support the video tag.
    </video>

                </div> 

   </div>
   
  </ng-template>
  <ng-template #elseBlock> 
    <div class="card" >
      <div class="card-body">
      
  
          <div class="alert alert-warning" role="alert">
             <p><strong>Notificación:</strong>
              No cuenta con archivos para compartir.  
            </p>
     </div> 
  
  
        </div>
    </div>
  
  </ng-template>
 


</div>  
</div> 
</div>
 </div> 
 